#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xB4,0xE9,0x80,0xF0,0x97,0xBD,0x8A,0x66,0xE4,0x96,0x48,0x1F,
		0xC8,0x04,0x29,0x8E,0x32,0xAD,0x28,0xD7,0x41,0x53,0x89,0x3C,
		0x85,0xEA,0x5F,0x99,0xBF,0x2B,0x2E,0xB6,0x19,0x46,0x4E,0xCF,
		0x42,0xE4,0xC9,0x0C,0x54,0x2F,0x2A,0x36,0x70,0xD4,0xB4,0x35,
		0x74,0xD3,0x31,0x83,0x5F,0xA4,0xB9,0xF5,0x6B,0x5A,0x0F,0x6B,
		0x7A,0x12,0x0C,0x47,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
